nvme_mi_mi_read_mi_data_ctrl(2)

NAME
nvme_mi_mi_read_mi_data_ctrl - Perform a Read MI Data Structure command, retrieving controller information

SYNOPSIS
int nvme_mi_mi_read_mi_data_ctrl (nvme_mi_ep_t ep , __u16 ctrl_id , struct nvme_mi_read_ctrl_info *ctrl );

ARGUMENTS

ep  endpoint for MI communication

ctrl_id
    ID of controller to query

ctrl
    controller data to populate

DESCRIPTION
Retrieves the Controller Information Data Structure for the attached controller with ID ctrlid.

See struct nvme_mi_read_ctrl_info.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise..